<back to all web services

GetProjectsStatus

The following routes are available for this service:
GET/RestApi/translations/projects/statuses
import datetime
import decimal
from marshmallow.fields import *
from servicestack import *
from typing import *
from dataclasses import dataclass, field
from dataclasses_json import dataclass_json, LetterCase, Undefined, config
from enum import Enum, IntEnum


class ProjectStatus(str, Enum):
    NOT_STARTED = 'NotStarted'
    STARTED = 'Started'
    COMPLETED = 'Completed'


@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class GetProjectsStatus(IProjectsFilter):
    search_text: Optional[str] = None
    service: Optional[List[str]] = None
    project_status: Optional[ProjectStatus] = None
    actual_source_language: Optional[str] = None
    without_source_language: bool = False

Python GetProjectsStatus DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/projects/statuses HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{Unable to show example output for type 'IList`1' using the custom 'other' filter}Cannot create an instance of an interface.